Package org.kapott.hbci.dialog

## Enum KnownTANProcess

- java.lang.Object
- - java.lang.Enum<KnownTANProcess>
  - - org.kapott.hbci.dialog.KnownTANProcess

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<KnownTANProcess>`

    public enum KnownTANProcess
    extends java.lang.Enum<KnownTANProcess>

Enthaelt die Liste der bekannten TAN-Prozesse.

### Nested Class Summary

Nested Classes
`static class` `KnownTANProcess.Variant` Prozess-Variante.

### Enum Constant Summary

Enum Constants
`PROCESS1` Prozess-Variante 1.
`PROCESS2_STEP1` Prozess-Variante 2, Schritt 1.
`PROCESS2_STEP2` Prozess-Variante 2, Schritt 2.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static KnownTANProcess` `get​(KnownTANProcess.Variant v, int step)` Ermittelt den passenden TAN-Prozess fuer die Variante und die Schritt-Nummer.
`java.lang.String` `getCode()` Liefert den Code des TAN-Prozess-Schrittes.
`boolean` `is​(java.lang.String code)` Prueft der angegebene Code identisch ist.
`static KnownTANProcess` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static KnownTANProcess[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PROCESS1

    public static final KnownTANProcess PROCESS1

Prozess-Variante 1.

#### PROCESS2_STEP1

    public static final KnownTANProcess PROCESS2_STEP1

Prozess-Variante 2, Schritt 1.

#### PROCESS2_STEP2

    public static final KnownTANProcess PROCESS2_STEP2

Prozess-Variante 2, Schritt 2.

### Method Detail

#### values

    public static KnownTANProcess[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (KnownTANProcess c : KnownTANProcess.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static KnownTANProcess valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### is

    public boolean is​(java.lang.String code)

Prueft der angegebene Code identisch ist.

Parameters:
  `code` - der zu pruefende Code.
Returns:
  true, wenn der Code identisch ist.

#### getCode

    public java.lang.String getCode()

Liefert den Code des TAN-Prozess-Schrittes.

Returns:
  der Code des TAN-Prozess-Schrittes.

#### get

    public static KnownTANProcess get​(KnownTANProcess.Variant v,
                                      int step)

Ermittelt den passenden TAN-Prozess fuer die Variante und die Schritt-Nummer.

Parameters:
  `v` - die Prozess-Variante.
  `step` - die Schritt-Nummer.
Returns:
  der TAN-Prozess. Nie NULL sondern im Zweifel `PROCESS2_STEP1`.